def recherche_dichotomique(element, tab):
    a = 0
    b = len(tab)-1
    m = (a+b)//2
    while a < b :
        if tab[m] == element:
            return m
        elif tab[m] > element:
            b = m-1
        else :
            a = m+1
        m = (a+b)//2
    return a